#ifndef O_COMPLEX_H
#define O_COMPLEX_H

#include<iostream>
using namespace std;

class Complex
{
  friend istream& operator>>(istream&, Complex&);
  friend ostream& operator<<(ostream&, const Complex&);
 private:
  double re_part;
  double im_part;
 public:
  Complex(double=0.0, double=0.0);
  ~Complex();
  Complex operator+(Complex);
  Complex operator-(Complex);
  Complex& operator=(Complex&);
  bool operator==(Complex);
  bool operator!=(Complex);
};




#endif
