#ifndef ARRAY_H
#define ARRAY_H

#include<iostream>
using namespace std;

class Array
{
  friend ostream& operator<<(ostream&, const Array& );
  friend istream& operator>>(istream&, Array& ); 
 private:
  int rows;
  int columns;
  int* ptr_arr;
  int size;
 public:
  Array(int=2,int=2);  // array bidimensionale di default
  Array(const Array& );  // costruttore di copia
  ~Array();
  int getRows() const;
  int getColumns() const;
  bool operator==(const Array&) const;
  bool operator!=(const Array&) const;
  Array& operator=(const Array&); //operatore assegnamento
  void operator()(int, int, int); // modifica un elemento dell'array
  const int operator()(int, int) const; // legge un elemento dell'array
};

#endif
