#include<iostream>
#include"complex.h"

Complex::Complex(double re, double im)
{
  re_part=re;
  im_part=im;
}

Complex::~Complex(){}

Complex Complex::operator+(Complex cr)
{
  Complex sum;
  sum.re_part=re_part+cr.re_part;
  sum.im_part=im_part+cr.im_part;
  return sum;
}

Complex Complex::operator-(Complex cr)
{
  Complex sub;
  sub.re_part=re_part-cr.re_part;
  sub.im_part=im_part-cr.im_part;
  return sub;
}

bool Complex::operator==(Complex cr)
{
  if(re_part==cr.re_part && im_part==cr.im_part)
    return true;
  else
    return false;
}

bool Complex::operator!=(Complex cr)
{
  if(*this==cr)
    return false;
  else
    return true;
}

Complex& Complex::operator=(Complex &cr)
{
  re_part=cr.re_part;
  im_part=cr.im_part;
  return *this;
}

istream& operator>>(istream& input, Complex& cc)
{
  input >> cc.re_part;
  input >> cc.im_part;
  return input;
}

ostream& operator<<(ostream& output, const Complex& cc)
{
  output << "(" << cc.re_part << "," << cc.im_part << ")" << endl;
  return output;
}
